<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla con los detalles acerca de la cancelación del avalúo 
                viene de la panalla de busqueda del caso de uso 
                        
@cu 			CU-SA-AC-105 Cancelar Avalúo Comercial

@ManagedBean 	CancelarAvaluoMB
-->
<h:form id="detalleCancelacionForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer width="5" />

    <p:fieldset>

        <legend>
            <h:outputText value="Datos del avalúo" 
                          styleClass="legendTitle" />
        </legend>
        <p:messages id="msgsCancelarAvaluo" showDetail="false"
                    globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">


            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <p:commandLink rendered="#{cancelarAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                           id="deptosLink"
                           styleClass="commandLinkStyle"
                           value="#{cancelarAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{cancelarAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!cancelarAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{cancelarAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}"/>

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{cancelarAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                           id="municipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{cancelarAvaluo.avaluoSeleccionado.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();"                           >
                <f:setPropertyActionListener
                    value="#{cancelarAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!cancelarAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{cancelarAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}"/>

            <h:outputLabel value="Tipo avalúo:" styleClass="outputLabelStyle" />

            <h:outputText id="AvaluoTipoAvaluoV-2" styleClass="outputTextStyle"
                          value="#{cancelarAvaluo.avaluoSeleccionado.tipoAvaluo}">
                <f:converter converterId="converterCB"
                             for="AvaluoTipoAvaluoV-2" />

            </h:outputText>

            <h:outputLabel value="No. Solcitud:" styleClass="outputLabelStyle" />

            <p:commandLink id="solicitudLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{cancelarAvaluo.avaluoSeleccionado.tramite.solicitud.numero}"
                           action="#{consultaInformacionSolicitud.consultarSolicitud}">
                <f:setPropertyActionListener value="#{cancelarAvaluo.avaluoSeleccionado.tramite.solicitud.numero}"
                                             target="#{consultaInformacionSolicitud.numeroRadicacion}"/>

            </p:commandLink>

            <h:outputLabel value="Sec_Radicado:" styleClass="outputLabelStyle" />

            <p:commandLink id="avaluoLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{cancelarAvaluo.avaluoSeleccionado.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{cancelarAvaluo.avaluoSeleccionado.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Nombre avaluador:" styleClass="outputLabelStyle" />

            <p:commandLink
                value="#{cancelarAvaluo.avaluoSeleccionado.avaluadores[0].nombreCompleto}"
                styleClass="commandLinkStyle"
                action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                update=":consultarAvaluadoresAsignadosPG"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                infoAvaluadoresAsignadosWV.show();"
                rendered="#{cancelarAvaluo.avaluoSeleccionado.tieneMultiplesAvaluadores}">
                <f:setPropertyActionListener value="#{cancelarAvaluo.avaluoSeleccionado.secRadicado}"
                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>
            <h:outputText rendered="#{!cancelarAvaluo.avaluoSeleccionado.tieneMultiplesAvaluadores}"
                          value="#{cancelarAvaluo.avaluoSeleccionado.avaluadores[0].nombreCompleto}" />


        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset>
        <h:panelGrid columns="2" cellspacing="7" width="100%">

            <h:outputLabel value="Justificación cancelación" styleClass="outputLabelStyle" />
            <h:selectOneMenu 
                value="#{cancelarAvaluo.justificacionCancelacion}">

                <f:selectItems value="#{general.justificacionCancelacionAvaluo}"/>
                <p:ajax update=":detalleCancelacionForm"
                        listener="#{cancelarAvaluo.listenerTipoDescripcion}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />

            </h:selectOneMenu>

            <h:outputLabel value="Descripción" styleClass="outputLabelStyle"
                           rendered="#{cancelarAvaluo.banderaOtraJustificacion}"/>

            <h:panelGrid columns="2">
                <h:inputTextarea id="desJustificacion"
                                 cols="80"
                                 required="true"
                                 requiredMessage="Debe ingresar la descripción de otra 
                                 justificación motivo de la cancelación del avalúo seleccionado"
                                 rendered="#{cancelarAvaluo.banderaOtraJustificacion}"
                                 value="#{cancelarAvaluo.descripcionJustificacion}">
                </h:inputTextarea>
                <p:message for="desJustificacion" display="icon" />
            </h:panelGrid>

        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7" width="100%">
        <p:commandButton value="Cancelar avalúo" icon="ui-icon ui-icon-check"
                         update=":detalleCancelacionForm"
                         oncomplete="handleCompleteSIC(xhr, status, args, confirmarCancelacionAvaluoWV, true);
                         handleCompleteSIC(xhr, status, args, cancelarAvaluoWV, false);" />
    </h:panelGrid>

</h:form>